cURL
curl --request POST \ --url https://statsigapi.net/console/v1/environments \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "environments": [ { "name": "<string>", "isProduction": true, "requiresReview": true, "requiresReleasePipeline": true, "id": "<string>", "requiredReviewGroupID": "<string>" } ] } '
{ "message": "Environments updated successfully.", "data": { "environments": [ { "name": "development", "id": "0.35629335902367476", "isProduction": false, "requiresReview": false, "requiresReleasePipeline": true }, { "name": "latest", "id": "0.08933465966698129", "isProduction": false, "requiresReview": false, "requiresReleasePipeline": true }, { "name": "staging", "id": "0.015089163460661137", "isProduction": false, "requiresReview": false, "requiresReleasePipeline": true }, { "name": "production", "id": "0.4067426155658289", "isProduction": true, "requiresReview": true, "requiresReleasePipeline": true } ] } }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Show child attributes
Update Environments Response
A simple string explaining the result of the operation.
A single result.
Was this page helpful?